fs flush                   AFS Commands                fs flush


NAME

   fs   flush -- force  Cache  Manager  to  discard  a  cached

                       file/directory.


                                   +
   fs flush  [-path <dir/file path> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                                +
   fs flush  [-p <dir/file path> ]  [-h]

DESCRIPTION

   Forces the Cache Manager to remove each specified  directory
   or file from its caches of data and status information.  The
   result is that the next time data from a  flushed  directory
   or  file  is  requested, the Cache Manager contacts the File
   Server for the  most  current  version,  along  with  a  new
   callback  (if  necessary) and associated status information.
   This command does not discard data from application  program
   buffers  or  data that has been altered in the cache but not
   yet written back to the central copy maintained by the  File
   Server.

   The  fs  flushvolume  command  can be used to flush all data
   that resides in the same  volume  as  a  specified  file  or
   directory.

ARGUMENTS

   -path specifies  each  file  or directory to be flushed.  In
         the case of a  directory  element,  only  the  element
         itself  is  flushed,  not  data  cached  from files or
         subdirectories that reside in it.  If this argument is
         omitted, the current directory is flushed.

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

EXAMPLES

   The following flushes from the cache the  file  projectnotes
   in  the  current  working  directory  and  all data from the
   subdirectory plans:

   %  fs flush projectnotes ./plans/*

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs flushvolume
